Bug 130433 - Update port: graphics/libexif to 0.6.17
Summary: Update port: graphics/libexif to 0.6.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-12 18:20 UTC by tkato432
Modified: 2009-01-17 22:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.20 KB, patch)
2009-01-12 18:20 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2009-01-12 18:20:02 UTC
- Update to version 0.6.17
Comment 1 Martin Wilke freebsd_committer 2009-01-12 19:08:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-01-16 10:30:28 UTC
State Changed
From-To: open->feedback


Hi Kato, 

graphics/libexif don't respect NOPORTEXAMPLES and NOPORTDOCS. Please fix 
it and submit a followup to this PR. Look at the Porters Handbook for 
instructions. 

http://i386.miwibox.org/index.php?action=describe_port&id=525 

Thanks!
Comment 3 tkato432 2009-01-16 12:49:07 UTC
miwi@FreeBSD.org <miwi@FreeBSD.org> wrote:

> graphics/libexif don't respect NOPORTEXAMPLES and NOPORTDOCS. Please fix
> it and submit a followup to this PR. Look at the Porters Handbook for
> instructions.

Oh, I see. I hope this version would be usable.


diff -urN /usr/ports/graphics/libexif/Makefile graphics/libexif/Makefile
--- /usr/ports/graphics/libexif/Makefile	2008-12-25 16:26:51.000000000 +0900
+++ graphics/libexif/Makefile	2009-01-16 21:17:54.000000000 +0900
@@ -6,30 +6,43 @@
 #
 
 PORTNAME=	libexif
-PORTVERSION=	0.6.16
+PORTVERSION=	0.6.17
 CATEGORIES=	graphics
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Library to read digital camera file meta-data
 
 USE_BZIP2=	yes
-USE_GNOME=	gnomehack gnometarget pkgconfig ltverhack
+USE_GNOME=	gnomehack ltverhack pkgconfig
+USE_GMAKE=	yes
 USE_AUTOTOOLS=	libtool:15
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include"
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
+		LDFLAGS="-L${LOCALBASE}/lib"
+CONFIGURE_ARGS=	--disable-docs
 USE_LDCONFIG=	yes
 
 .if !defined(WITHOUT_NLS)
 USE_GETTEXT=	yes
 PLIST_SUB+=	NLS=""
-CONFIGURE_ENV+=	LIBS="-L${LOCALBASE}/lib -lintl"
 .else
+CONFIGURE_ENV+=	am_cv_func_iconv=no
 CONFIGURE_ARGS+=--disable-nls
 PLIST_SUB+=	NLS="@comment "
 .endif
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|-g -Wall||g' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e '/^SUBDIRS =/s|doc||g ; \
+		 /^am__installdirs =/s|$$(docdir)||g ; \
+		 /^install-data-am:/s|install-docDATA||g' ${WRKSRC}/Makefile.in
+
+post-install:
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+.for file in AUTHORS ChangeLog NEWS README
+	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
+.endfor
+.endif
 
 .include <bsd.port.mk>
diff -urN /usr/ports/graphics/libexif/distinfo graphics/libexif/distinfo
--- /usr/ports/graphics/libexif/distinfo	2008-09-25 03:31:16.000000000 +0900
+++ graphics/libexif/distinfo	2009-01-12 03:07:20.000000000 +0900
@@ -1,3 +1,3 @@
-MD5 (libexif-0.6.16.tar.bz2) = deee153b1ded5a944ea05d041d959eca
-SHA256 (libexif-0.6.16.tar.bz2) = db6885d5e40e3a273ff8bb9708ab739c8ace3c5abdd75509eec8ea31a31aac43
-SIZE (libexif-0.6.16.tar.bz2) = 691528
+MD5 (libexif-0.6.17.tar.bz2) = f7cf4e623a48c9a3b13f7f95f0a41015
+SHA256 (libexif-0.6.17.tar.bz2) = dceb9355b148a8ee6aa96e3dff82a06c066c81e6ab18c190c946ed3b30fc7353
+SIZE (libexif-0.6.17.tar.bz2) = 820976
diff -urN /usr/ports/graphics/libexif/pkg-plist graphics/libexif/pkg-plist
--- /usr/ports/graphics/libexif/pkg-plist	2007-05-28 03:07:55.000000000 +0900
+++ graphics/libexif/pkg-plist	2009-01-12 04:41:22.000000000 +0900
@@ -17,19 +17,20 @@
 lib/libexif.so
 lib/libexif.so.12
 libdata/pkgconfig/libexif.pc
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
 %%NLS%%share/locale/cs/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/de/LC_MESSAGES/libexif-12.mo
+%%NLS%%share/locale/en_CA/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/es/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/libexif-12.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/libexif-12.mo
+%%NLS%%share/locale/sv/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/libexif-12.mo
-%%DOCSDIR%%/ABOUT-NLS
-%%DOCSDIR%%/AUTHORS
-%%DOCSDIR%%/COPYING
-%%DOCSDIR%%/ChangeLog
-%%DOCSDIR%%/NEWS
-%%DOCSDIR%%/README
-@dirrm %%DOCSDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm include/libexif
Comment 4 dfilter service freebsd_committer 2009-01-17 22:41:53 UTC
miwi        2009-01-17 22:41:39 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libexif     Makefile distinfo pkg-plist 
  Log:
  - Update to 0.6.17
  - Respect NOPORTDOCS
  
  PR:             130433
  Submitted by:   Ports Fury
  
  Revision  Changes    Path
  1.31      +19 -6     ports/graphics/libexif/Makefile
  1.15      +3 -3      ports/graphics/libexif/distinfo
  1.15      +8 -7      ports/graphics/libexif/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2009-01-17 22:42:12 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!